Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Updated API version

  • Loading branch information...
commit af568153523c5db2e6f0d86713937fc33375bcf7 1 parent c1fb8b2
Thomas Dudziak authored
Showing with 20 additions and 19 deletions.
  1. +19 −18 amazon-ec2.gemspec
  2. +1 −1  lib/AWS/EC2.rb
View
37 amazon-ec2.gemspec
@@ -9,10 +9,10 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Glenn Rempe"]
- s.date = %q{2010-06-10}
+ s.date = %q{2010-10-15}
s.description = %q{A Ruby library for accessing the Amazon Web Services EC2, ELB, RDS, Cloudwatch, and Autoscaling APIs.}
s.email = %q{glenn@rempe.us}
- s.executables = ["ec2-gem-example.rb", "ec2-gem-profile.rb", "ec2sh", "setup.rb"]
+ s.executables = ["awshell", "ec2sh", "ec2-gem-profile.rb", "setup.rb", "ec2-gem-example.rb"]
s.extra_rdoc_files = [
"ChangeLog",
"LICENSE",
@@ -29,6 +29,7 @@ Gem::Specification.new do |s|
"Rakefile",
"VERSION",
"amazon-ec2.gemspec",
+ "bin/awshell",
"bin/ec2-gem-example.rb",
"bin/ec2-gem-profile.rb",
"bin/ec2sh",
@@ -97,37 +98,37 @@ Gem::Specification.new do |s|
s.rdoc_options = ["--title", "amazon-ec2 documentation", "--line-numbers", "--main", "README.rdoc"]
s.require_paths = ["lib"]
s.rubyforge_project = %q{amazon-ec2}
- s.rubygems_version = %q{1.3.7}
+ s.rubygems_version = %q{1.3.5}
s.summary = %q{Amazon EC2 Ruby Gem}
s.test_files = [
- "test/test_Autoscaling_groups.rb",
- "test/test_EC2.rb",
- "test/test_EC2_availability_zones.rb",
- "test/test_EC2_console.rb",
- "test/test_EC2_elastic_ips.rb",
- "test/test_EC2_image_attributes.rb",
- "test/test_EC2_images.rb",
- "test/test_EC2_instances.rb",
+ "test/test_EC2_console.rb",
"test/test_EC2_keypairs.rb",
+ "test/test_EC2_volumes.rb",
+ "test/test_EC2_image_attributes.rb",
+ "test/test_EC2_snapshots.rb",
"test/test_EC2_products.rb",
- "test/test_EC2_responses.rb",
+ "test/test_RDS.rb",
+ "test/test_EC2_images.rb",
"test/test_EC2_s3_xmlsimple.rb",
+ "test/test_ELB_load_balancers.rb",
+ "test/test_EC2_instances.rb",
+ "test/test_Autoscaling_groups.rb",
"test/test_EC2_security_groups.rb",
- "test/test_EC2_snapshots.rb",
+ "test/test_EC2.rb",
+ "test/test_EC2_availability_zones.rb",
"test/test_EC2_spot_instance_requests.rb",
+ "test/test_EC2_responses.rb",
"test/test_EC2_spot_prices.rb",
- "test/test_EC2_subnets.rb",
- "test/test_EC2_volumes.rb",
- "test/test_ELB_load_balancers.rb",
"test/test_helper.rb",
- "test/test_RDS.rb"
+ "test/test_EC2_subnets.rb",
+ "test/test_EC2_elastic_ips.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<xml-simple>, [">= 1.0.12"])
s.add_development_dependency(%q<mocha>, [">= 0.9.8"])
s.add_development_dependency(%q<test-spec>, [">= 0.10.0"])
View
2  lib/AWS/EC2.rb
@@ -14,7 +14,7 @@ module EC2
DEFAULT_HOST = 'ec2.amazonaws.com'
end
- API_VERSION = '2009-11-30'
+ API_VERSION = '2010-08-31'
class Base < AWS::Base
def api_version
Please sign in to comment.
Something went wrong with that request. Please try again.